<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once"template/start.php";
require_once"template/regglobals.php";
require_once"template/config.php";
require_once"template/functions.php";
require_once"template/antidos.php";
require_once"template/cookies.php";
require_once"template/gzip.php";
require_once"template/header.php";
require_once"template/referer.php";
include_once"themes/$config_themes/index.php";
include_once"template/isset.php";

if(isset($_GET['f']) && eregi("[^a-z0-9_-]",$_GET['f']) || isset($_GET['p']) && eregi("[^a-z0-9_-]",$_GET['p'])){header ("Location: index.php?isset=404&".SID); exit;}
//-----------------------------------------------------------//

if (empty($_GET['p'])){

include_once"template/info.php";

if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!=""){
	
echo'<img src="images/img/act1.gif" alt=""> <a href="pages/index.php?action=menu&amp;'.SID.'">Мое меню</a><br>';
if ($dostup==101 || $dostup==102)
{echo'<img src="images/img/act2.gif" alt=""> <a href="'.$config_mpanel.'/?'.SID.'">Админ-панель</a><br>';} 
if ($dostup==103 || $dostup==105)
{echo'<img src="images/img/act2.gif" alt=""> <a href="'.$config_mpanel.'/?'.SID.'">Mодер-панель</a><br>';}	
} else {
echo'<img src="images/img/act1.gif" alt=""> <a href="pages/vhod.php?'.SID.'">Авторизация</a><br>';
echo'<img src="images/img/act2.gif" alt=""> <a href="pages/registration.php?'.SID.'">Регистрация</a><br>';
echo'<img src="images/img/act2.gif" alt=""> <a href="mail/lostpassword.php?'.SID.'">Забыли пароль?</a><br>';
}

include_once("local/datamain/index.dat");

}else{
if($_GET['f']==""){$_GET['f']='index';}
if (file_exists($_GET['p'].'/'.$_GET['f'].'.'.$config_ras)){
include_once $_GET['p'].'/'.$_GET['f'].'.'.$config_ras;
}else{
echo '<img src="images/img/error.gif" alt=""> <b>Ошибка, Файл с данными параметрами не найден!</b><br>';
}
}

include_once"themes/$config_themes/foot.php";
?>